// Code generated by protoc-gen-go. DO NOT EDIT.
// source: models/contacts.proto

/*
Package models is a generated protocol buffer package.

It is generated from these files:
	models/contacts.proto

It has these top-level messages:
	Contact
	Address
	ContactBook
*/
package models

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Contact struct {
	Phone   string   `protobuf:"bytes,1,opt,name=Phone" json:"Phone,omitempty"`
	Name    string   `protobuf:"bytes,2,opt,name=Name" json:"Name,omitempty"`
	Address *Address `protobuf:"bytes,3,opt,name=Address" json:"Address,omitempty"`
}

func (m *Contact) Reset()                    { *m = Contact{} }
func (m *Contact) String() string            { return proto.CompactTextString(m) }
func (*Contact) ProtoMessage()               {}
func (*Contact) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Contact) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *Contact) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Contact) GetAddress() *Address {
	if m != nil {
		return m.Address
	}
	return nil
}

type Address struct {
	City      string `protobuf:"bytes,1,opt,name=City" json:"City,omitempty"`
	Street    string `protobuf:"bytes,2,opt,name=Street" json:"Street,omitempty"`
	Building  string `protobuf:"bytes,3,opt,name=Building" json:"Building,omitempty"`
	Apartment string `protobuf:"bytes,4,opt,name=Apartment" json:"Apartment,omitempty"`
}

func (m *Address) Reset()                    { *m = Address{} }
func (m *Address) String() string            { return proto.CompactTextString(m) }
func (*Address) ProtoMessage()               {}
func (*Address) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *Address) GetCity() string {
	if m != nil {
		return m.City
	}
	return ""
}

func (m *Address) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Address) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *Address) GetApartment() string {
	if m != nil {
		return m.Apartment
	}
	return ""
}

type ContactBook struct {
	Contacts []*Contact `protobuf:"bytes,1,rep,name=contacts" json:"contacts,omitempty"`
}

func (m *ContactBook) Reset()                    { *m = ContactBook{} }
func (m *ContactBook) String() string            { return proto.CompactTextString(m) }
func (*ContactBook) ProtoMessage()               {}
func (*ContactBook) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *ContactBook) GetContacts() []*Contact {
	if m != nil {
		return m.Contacts
	}
	return nil
}

func init() {
	proto.RegisterType((*Contact)(nil), "models.Contact")
	proto.RegisterType((*Address)(nil), "models.Address")
	proto.RegisterType((*ContactBook)(nil), "models.ContactBook")
}

func init() { proto.RegisterFile("models/contacts.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 213 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x4c, 0x90, 0x4d, 0x4b, 0xc4, 0x30,
	0x10, 0x86, 0x89, 0xbb, 0x76, 0xb7, 0xb3, 0x07, 0x61, 0x50, 0x09, 0xe2, 0xa1, 0xf4, 0xb4, 0x22,
	0x54, 0xd0, 0x9b, 0xb7, 0xb6, 0x77, 0x91, 0x78, 0x17, 0x6a, 0x13, 0xb4, 0xd8, 0x66, 0x4a, 0x32,
	0x1e, 0xfc, 0xf7, 0x62, 0x92, 0x56, 0x6f, 0xf3, 0x7e, 0xf0, 0x24, 0x33, 0x70, 0x31, 0x91, 0x36,
	0xa3, 0xbf, 0xeb, 0xc9, 0x72, 0xd7, 0xb3, 0xaf, 0x66, 0x47, 0x4c, 0x98, 0x45, 0xbb, 0x7c, 0x85,
	0x5d, 0x1b, 0x13, 0x3c, 0x87, 0xd3, 0xe7, 0x0f, 0xb2, 0x46, 0x8a, 0x42, 0x1c, 0x73, 0x15, 0x05,
	0x22, 0x6c, 0x9f, 0xba, 0xc9, 0xc8, 0x93, 0x60, 0x86, 0x19, 0x6f, 0x60, 0x57, 0x6b, 0xed, 0x8c,
	0xf7, 0x72, 0x53, 0x88, 0xe3, 0xe1, 0xfe, 0xac, 0x8a, 0xb8, 0x2a, 0xd9, 0x6a, 0xc9, 0x4b, 0x5a,
	0xab, 0xbf, 0xa4, 0x76, 0xe0, 0xef, 0x84, 0x0f, 0x33, 0x5e, 0x42, 0xf6, 0xc2, 0xce, 0x18, 0x4e,
	0xfc, 0xa4, 0xf0, 0x0a, 0xf6, 0xcd, 0xd7, 0x30, 0xea, 0xc1, 0xbe, 0x87, 0x27, 0x72, 0xb5, 0x6a,
	0xbc, 0x86, 0xbc, 0x9e, 0x3b, 0xc7, 0x93, 0xb1, 0x2c, 0xb7, 0x21, 0xfc, 0x33, 0xca, 0x47, 0x38,
	0xa4, 0x85, 0x1a, 0xa2, 0x4f, 0xbc, 0x85, 0xfd, 0xb2, 0xb9, 0x14, 0xc5, 0xe6, 0xff, 0x5f, 0x53,
	0x4d, 0xad, 0x85, 0xb7, 0x2c, 0xdc, 0xe6, 0xe1, 0x27, 0x00, 0x00, 0xff, 0xff, 0x50, 0xc8, 0xdb,
	0xe0, 0x34, 0x01, 0x00, 0x00,
}
